From 955a932f923e33328ca6f0da57bf2c04af1b4a96 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 21:26:28 +0000
Subject: [PATCH 265/1001] Remove some values from the tests that change regularly.


---

diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 3586998..675dc6a 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -11,8 +11,8 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/ralph/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.data)
+        del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
             u'source_url': u'/source/about/',
             u'text': u'Testing.',
-            u'widget_url': u'/ralph/41/',
         })
diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
index a1ca9ca..ad8c0c3 100644
--- a/hubs/tests/test_widgets/test_fedmsgstats.py
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -11,6 +11,7 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
         response = self.app.get('/ralph/%i/json/' % widget.idx)
         assert response.status_code == 200, response.status_code
         data = json.loads(response.data)
+        del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
             u'fedmsgs': 83854,
             u'fedmsgs_text': u'83,854',
@@ -18,5 +19,4 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
             u'subscribers': 0,
             u'subscribers_text': u'0',
             u'username': u'ralph',
-            u'widget_url': u'/ralph/27/',
         })

